== Userservice using LDAP ==

=== What is it? ===

The userservice is just using LDAP to authenticate, create, delete, and change data for users\. With it, you can easily create a user in the
LDAP, change some data (for now: firstname, lastname, email) for your user, change your password, or delete the useraccount\. The request for
a password reset is still WIP\.


=== Installation ===

In the requirements\.txt are the python modules it uses\. Install with a virtualenv with python3\.
Be aware that django-auth-ldap uses python-ldap and thus wants some system libraries\. Also, since it's using nameko, you should
provide a rabbitmq for it to use\.
Also django-nameko has a typo and you should edit the $virtualenv/lib/python3.5/site-packages/django\_nameko/\_\_init\_\_\.py from 
```
from rpc import
``` 
to
```
from .rpc import
```
till it's fixed\.
Config options are in nameko\.conf and of course the dal/dal/settings\.py 
Don't forget to do python manage\.py makemigrations dal and then migrate
The standard settings there work fine with a LDAP server set up with the information on our wiki\. Except the manager password,
set that to what you choose\.
